<!DOCTYPE html>
<html lang="en">
    <head>
        <link
            rel="icon"
            href="https://kd.sonphat.net/wp-content/uploads/2021/10/cropped-logo-sonphat-32x32.png"
            sizes="32x32"
        />
        <link
            rel="icon"
            href="https://kd.sonphat.net/wp-content/uploads/2021/10/cropped-logo-sonphat-192x192.png"
            sizes="192x192"
        />
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="stylesheet" href="index.css">
        <title>Sơn Phát C&T</title>
        <script>
            var SP = {};
        </script>
    </head>
    <body bgcolor="#ffffff">
        <div class="container">
            <div class="toolbar">
                <div class="tb-left">
                    <img
                        src="https://kd.sonphat.net/wp-content/uploads/2021/10/logo-sonphat.png"
                        alt=""
                    />
                </div>
                <div class="tb-right">Hỗ trợ: 02083.607.668</div>
            </div>

            <div class="content">
                <div class="title">
                    Danh sách sản phẩm của
                    <span class="company-name">Sơn Phát C&T</span>
                </div>
                <div class="table">
                    <table>
                        <thead>
                            <tr>
                                <th class="stt">STT</th>
                                <th>Tên sản phẩm</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody id="container">
                        </tbody>
                        <tfoot>
                            <tr>
                                <td class="stt">-</td>
                                <td>
                                    <input type="text" id="url" value="" placeholder="url://...">
                                </td>
                                <td>
                                    <button id="go_url">GO</button>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
        <template id="rowTem">
            <tr>
                <td class="stt" prop-name="STT" prop-for="textContent">1</td>
                <td class="name-app" prop-name="NameApp" prop-for="textContent">Quản lý bến xe</td>
                <td class="link">
                    <a href="#" target="_top" prop-name="Link" prop-for="href">Link</a>
                </td>
            </tr>
        </template>
        <script>
            /* SonPhat Product Publish Config */
            SP[`Products`] = [
                {"STT": 1, "NameApp": "App Alpha", "Link": "https://applx.alpha.ve.sbus.vn/"},
                {"STT": 2, "NameApp": "App Beta", "Link": "https://applx.beta.ve.sbus.vn/"},
                {"STT": 3, "NameApp": "Debug Page", "Link": "app://localhost/"},
                {"STT": 4, "NameApp": "Local App (builded-assets)", "Link": "app://localapplication/"},
            ];
            /* SonPhat Product Publish Config */


            var container = document.querySelector("#container");
            var rowTem = document.querySelector("#rowTem");
            var url = document.querySelector("#url");
            var go_url = document.querySelector("#go_url");


            go_url.addEventListener("click", function () {
                localStorage.setItem("tmpurl", location.href = url.value);
            });

            url.value = localStorage.getItem("tmpurl") || "";

            setTimeout(_ => {
                let Products = SP["Products"];

                for (var pro of Products || []) {
                    var row = rowTem.content.cloneNode(true);
                    var propEls = Array.from(row.querySelectorAll("[prop-name]"));

                    for (var propEl of propEls) {
                        var propName = propEl.getAttribute("prop-name") || false;
                        var propFor = propEl.getAttribute("prop-for") || "textContent";

                        if (!!propName && pro.hasOwnProperty(propName)) {
                            propEl[propFor] = pro[propName];
                        }
                    }
                    console.log(container);
                    container.appendChild(row);

                    // break;
                }
            }, 50);
        </script>
    </body>
</html>
